summaryrefslogtreecommitdiffstats
path: root/system/vagrant
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2013-12-07 16:48:03 +0100
committer Erik Hanson <erik@slackbuilds.org>2013-12-14 10:52:34 -0600
commit83fcce18d7394e7d47d8d4573113907f6b2a2cac (patch)
treef8773234b89dcdb2a338f9446616c1d482948dfe /system/vagrant
parent82fe820423cbb9974f356f0a6b22583543e0a803 (diff)
downloadslackbuilds-83fcce18d7394e7d47d8d4573113907f6b2a2cac.tar.gz
slackbuilds-83fcce18d7394e7d47d8d4573113907f6b2a2cac.tar.xz
system/vagrant: Added (virtual development environments).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/vagrant')
-rw-r--r--system/vagrant/README6
-rw-r--r--system/vagrant/slack-desc19
-rw-r--r--system/vagrant/vagrant.SlackBuild66
-rw-r--r--system/vagrant/vagrant.info10
4 files changed, 101 insertions, 0 deletions
diff --git a/system/vagrant/README b/system/vagrant/README
new file mode 100644
index 0000000000..ef54445e52
--- /dev/null
+++ b/system/vagrant/README
@@ -0,0 +1,6 @@
+Vagrant is a tool for building complete virtualised development environments.
+
+Vagrant was originally written as a wrapper around VirtualBox, but it now
+supports plugins for Amazon EC2, VMware and other virtualisation software.
+Vagrant also integrates with provisioning software such as Chef, Puppet
+and Ansible.
diff --git a/system/vagrant/slack-desc b/system/vagrant/slack-desc
new file mode 100644
index 0000000000..1d07fd725a
--- /dev/null
+++ b/system/vagrant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vagrant: vagrant (create and configure virtual development environments)
+vagrant:
+vagrant: Vagrant is a tool for building complete development environments built
+vagrant: around virtualisation software such as VirtualBox.
+vagrant:
+vagrant: Homepage: http://www.vagrantup.com/
+vagrant:
+vagrant:
+vagrant:
+vagrant:
+vagrant:
diff --git a/system/vagrant/vagrant.SlackBuild b/system/vagrant/vagrant.SlackBuild
new file mode 100644
index 0000000000..bfddf22192
--- /dev/null
+++ b/system/vagrant/vagrant.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# SlackBuild script for vagrant
+
+# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=vagrant
+VERSION=${VERSION:-1.3.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SRCARCH="i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="$ARCH"
+else
+ printf "$ARCH is not supported...\n"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $PKG
+rpm2cpio < $CWD/${PRGNAM}_${VERSION}_$SRCARCH.rpm | cpio -ivmd
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/vagrant/vagrant.info b/system/vagrant/vagrant.info
new file mode 100644
index 0000000000..0d85f43aa7
--- /dev/null
+++ b/system/vagrant/vagrant.info
@@ -0,0 +1,10 @@
+PRGNAM="vagrant"
+VERSION="1.3.5"
+HOMEPAGE="http://www.vagrantup.com"
+DOWNLOAD="http://files.vagrantup.com/packages/a40522f5fabccb9ddabad03d836e120ff5d14093/vagrant_1.3.5_i686.rpm"
+MD5SUM="7df58a4fac11039aa45e15561c549668"
+DOWNLOAD_x86_64="http://files.vagrantup.com/packages/a40522f5fabccb9ddabad03d836e120ff5d14093/vagrant_1.3.5_x86_64.rpm"
+MD5SUM_x86_64="02e52e0de6153ebec0a57e3684d0fe07"
+REQUIRES="virtualbox"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"